## org.eclipse.emf.ocl.types.impl
Class PrimitiveBooleanImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl
                                  org.eclipse.emf.ecore.impl.EDataTypeImpl
                                      org.eclipse.emf.ocl.types.impl.PrimitiveTypeImpl
                                          org.eclipse.emf.ocl.types.impl.PrimitiveBooleanImpl

All Implemented Interfaces:
  Notifier, EClassifier, EDataType, EModelElement, ENamedElement, EObject, InternalEObject, BasicExtendedMetaData.EClassifierExtendedMetaData.Holder, PrimitiveBoolean, PrimitiveType, PredefinedType

    public class PrimitiveBooleanImpl

extends PrimitiveTypeImpl
implements PrimitiveBoolean

An implementation of the model object 'Primitive Boolean'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`static String` `copyright`
`static PrimitiveBoolean` `INSTANCE`

Fields inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`defaultValue, defaultValueIsSet, SERIALIZABLE_EDEFAULT, SERIALIZABLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`DEFAULT_VALUE_EDEFAULT, eClassifierExtendedMetaData, eTypeParameters, generatedInstanceClassName, INSTANCE_CLASS_EDEFAULT, INSTANCE_CLASS_NAME_EDEFAULT, instanceClass, instanceClassName, instanceTypeName, metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ocl.utilities.PredefinedType

`ABS, ABS_NAME, ALL_INSTANCES, ALL_INSTANCES_NAME, AND, AND_NAME, ANY, ANY_NAME, APPEND, APPEND_NAME, AS_BAG, AS_BAG_NAME, AS_ORDERED_SET, AS_ORDERED_SET_NAME, AS_SEQUENCE, AS_SEQUENCE_NAME, AS_SET, AS_SET_NAME, AT, AT_NAME, CLOSURE, CLOSURE_NAME, COLLECT, COLLECT_NAME, COLLECT_NESTED, COLLECT_NESTED_NAME, CONCAT, CONCAT_NAME, COUNT, COUNT_NAME, DIV, DIV_NAME, DIVIDE, DIVIDE_NAME, EQUAL, EQUAL_NAME, EXCLUDES, EXCLUDES_ALL, EXCLUDES_ALL_NAME, EXCLUDES_NAME, EXCLUDING, EXCLUDING_NAME, EXISTS, EXISTS_NAME, FIRST, FIRST_NAME, FLATTEN, FLATTEN_NAME, FLOOR, FLOOR_NAME, FOR_ALL, FOR_ALL_NAME, GREATER_THAN, GREATER_THAN_EQUAL, GREATER_THAN_EQUAL_NAME, GREATER_THAN_NAME, HAS_RETURNED, HAS_RETURNED_NAME, IMPLIES, IMPLIES_NAME, INCLUDES, INCLUDES_ALL, INCLUDES_ALL_NAME, INCLUDES_NAME, INCLUDING, INCLUDING_NAME, INDEX_OF, INDEX_OF_NAME, INSERT_AT, INSERT_AT_NAME, INTERSECTION, INTERSECTION_NAME, IS_EMPTY, IS_EMPTY_NAME, IS_OPERATION_CALL, IS_OPERATION_CALL_NAME, IS_SIGNAL_SENT, IS_SIGNAL_SENT_NAME, IS_UNIQUE, IS_UNIQUE_NAME, LAST, LAST_NAME, LESS_THAN, LESS_THAN_EQUAL, LESS_THAN_EQUAL_NAME, LESS_THAN_NAME, MAX, MAX_NAME, MIN, MIN_NAME, MINUS, MINUS_NAME, MOD, MOD_NAME, NOT, NOT_EMPTY, NOT_EMPTY_NAME, NOT_EQUAL, NOT_EQUAL_NAME, NOT_NAME, OCL_AS_TYPE, OCL_AS_TYPE_NAME, OCL_IS_IN_STATE, OCL_IS_IN_STATE_NAME, OCL_IS_INVALID, OCL_IS_INVALID_NAME, OCL_IS_KIND_OF, OCL_IS_KIND_OF_NAME, OCL_IS_NEW, OCL_IS_NEW_NAME, OCL_IS_TYPE_OF, OCL_IS_TYPE_OF_NAME, OCL_IS_UNDEFINED, OCL_IS_UNDEFINED_NAME, ONE, ONE_NAME, OR, OR_NAME, PLUS, PLUS_NAME, PREPEND, PREPEND_NAME, PRODUCT, PRODUCT_NAME, REJECT, REJECT_NAME, RELATED_TYPE, RESULT, RESULT_NAME, ROUND, ROUND_NAME, SAME_TYPE, SELECT, SELECT_NAME, SIZE, SIZE_NAME, SORTED_BY, SORTED_BY_NAME, STRICT_SUBTYPE, STRICT_SUPERTYPE, SUB_ORDERED_SET, SUB_ORDERED_SET_NAME, SUB_SEQUENCE, SUB_SEQUENCE_NAME, SUBSTRING, SUBSTRING_NAME, SUBTYPE, SUM, SUM_NAME, SUPERTYPE, SYMMETRIC_DIFFERENCE, SYMMETRIC_DIFFERENCE_NAME, TIMES, TIMES_NAME, TO_INTEGER, TO_INTEGER_NAME, TO_LOWER, TO_LOWER_NAME, TO_REAL, TO_REAL_NAME, TO_UPPER, TO_UPPER_NAME, UNION, UNION_NAME, UNRELATED_TYPE, XOR, XOR_NAME`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `PrimitiveBooleanImpl()`

Method Summary
`protected static EList` `createOperations()`
`protected EClass` `eStaticClass()`
`EList` `getOperations()`

Methods inherited from class org.eclipse.emf.ocl.types.impl.PrimitiveTypeImpl
`getCommonSupertype, getOperationCode, getOperationCodeFor, getOperationName, getOperationNameFor, getRelationshipTo, getResultTypeFor`

Methods inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`eGet, eIsSet, eSet, eUnset, getDefaultValue, isSerializable, setDataTypeGeneratedInstanceClass, setGeneratedInstanceClass, setInstanceClassGen, setSerializable, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl

`basicGetEPackage, basicSetInstanceClassName, basicSetInstanceTypeName, dynamicIsInstance, eBasicRemoveFromContainerFeature, eBasicSetContainer, eInverseAdd, eInverseRemove, getClassForName, getClassifierID, getEPackage, getEPackageGen, getETypeParameters, getExtendedMetaData, getInstanceClass, getInstanceClassGen, getInstanceClassName, getInstanceClassNameGen, getInstanceTypeName, getPrimitiveOrArrayClass, isInstance, isSetInstanceClassName, isSetInstanceTypeName, setClassifierID, setExtendedMetaData, setInstanceClass, setInstanceClassName, setInstanceClassNameGen, setInstanceTypeName, setName, unsetInstanceClassName, unsetInstanceTypeName`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EDataType
`isSerializable, setSerializable`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.PredefinedType
`getCommonSupertype, getOperationCodeFor, getOperationNameFor, getRelationshipTo, getResultTypeFor`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### INSTANCE

    public static final PrimitiveBoolean INSTANCE

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

Constructor Detail

### PrimitiveBooleanImpl

    protected PrimitiveBooleanImpl()

Method Detail

### createOperations

    protected static EList createOperations()

### getOperations

    public EList getOperations()

  Description copied from class: `PrimitiveTypeImpl`

  Specified by:
    `getOperations` in interface `PrimitiveType`
  Specified by:
    `getOperations` in interface `PredefinedType`
  Overrides:
    `getOperations` in class `PrimitiveTypeImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `PrimitiveTypeImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.